Bug 54896

Summary: [Qt] [WK2] WebKitTestRunner, QtWebProcess and WTRInjectBundle should fail to compile when there's undefined symbols
Product: WebKit Reporter: Kimmo Kinnunen <kimmo.t.kinnunen>
Component: WebKit2Assignee: Kimmo Kinnunen <kimmo.t.kinnunen>
Status: RESOLVED FIXED    
Severity: Normal CC: abecsi, benjamin, commit-queue, kbalazs, kenneth, ossy, webkit-ews
Priority: P2 Keywords: Qt
Version: 528+ (Nightly build)   
Hardware: PC   
OS: Linux   
Bug Depends on: 54109    
Bug Blocks:    
Attachments:
Description Flags
fix
none
fix2 (previous had a typo in diff command)
none
Rebased and resubmitted patch to get new try with buildbots none

Description Kimmo Kinnunen 2011-02-21 11:25:48 PST
WebKitTestRunner, QtWebProcess and WTRInjectBundle should fail to compile when there's undefined symbols.

Not failing the compile early leads to hard to debug situations, like webkit test runner failing all tests because WTRInjectBundle doesn't contain for example following symbols:
InjectedBundlePage.cpp:(.text+0x28d8): undefined reference to `WebCore::KURL::KURL(WebCore::ParsedURLStringTag, char const*)'
InjectedBundlePage.cpp:(.text+0x2906): undefined reference to `WebCore::KURL::host() const'
InjectedBundlePage.cpp:(.text+0x2a33): undefined reference to `WebCore::KURL::protocol() const'
InjectedBundlePage.cpp:(.text+0x2a62): undefined reference to `WebCore::KURL::protocol() const'
InjectedBundlePage.cpp:(.text+0x2a95): undefined reference to `WebCore::KURL::host() const'
InjectedBundlePage.cpp:(.text+0x2acb): undefined reference to `WebCore::KURL::host() const'
InjectedBundlePage.cpp:(.text+0x2bb3): undefined reference to `WebCore::KURL::host() const'
Comment 1 Kimmo Kinnunen 2011-02-21 11:37:36 PST
Created attachment 83197 [details]
fix
Comment 2 Kimmo Kinnunen 2011-02-21 11:44:19 PST
Created attachment 83198 [details]
fix2 (previous had a typo in diff command)
Comment 3 Early Warning System Bot 2011-02-21 13:17:41 PST
Attachment 83198 [details] did not build on qt:
Build output: http://queues.webkit.org/results/7939852
Comment 4 Csaba Osztrogon√°c 2011-02-21 13:52:38 PST
The idea is good, catching a build break is always easier.
I added bug 54109 to the "depends on" list not to break the build now.
Comment 5 Kimmo Kinnunen 2011-03-17 00:26:47 PDT
Comment on attachment 83198 [details]
fix2 (previous had a typo in diff command)

clearing to retry ews
Comment 6 Kimmo Kinnunen 2011-03-17 00:27:14 PDT
Comment on attachment 83198 [details]
fix2 (previous had a typo in diff command)

requesting review + commit
Comment 7 Kenneth Rohde Christiansen 2011-03-17 00:47:56 PDT
This seems to fail on Qt.
Comment 8 Balazs Kelemen 2011-03-17 02:02:38 PDT
I think it would build on a fresh tree.
Could you try it once again, Kimmo?
Comment 9 Kimmo Kinnunen 2011-03-17 02:21:16 PDT
(In reply to comment #8)
> I think it would build on a fresh tree.
> Could you try it once again, Kimmo?

Yeah, I tried to invoke buildbots again (there where i reset the review flags). However, it didn't seem to start the build. Any hints on how to restart it properly?

That Qt failure was probably due to buildbot trying to build too early with respect to the bug 54109 fix.
Comment 10 Balazs Kelemen 2011-03-17 03:26:42 PDT
(In reply to comment #9)
> (In reply to comment #8)
> > I think it would build on a fresh tree.
> > Could you try it once again, Kimmo?
> 
> Yeah, I tried to invoke buildbots again (there where i reset the review flags). However, it didn't seem to start the build. Any hints on how to restart it properly?
> 

I don't know about any other way than resubmitting the patch.
Comment 11 Kimmo Kinnunen 2011-03-17 03:51:26 PDT
Created attachment 86042 [details]
Rebased and resubmitted patch to get new try with buildbots
Comment 12 Benjamin Poulain 2011-03-18 11:40:15 PDT
Comment on attachment 86042 [details]
Rebased and resubmitted patch to get new try with buildbots

I understand why it is needed for InjectedBundle but not for WebKitTestRunner and the WebProcess. Could you explain?
Comment 13 Eric Seidel (no email) 2011-04-10 16:25:42 PDT
Comment on attachment 86042 [details]
Rebased and resubmitted patch to get new try with buildbots

OK.
Comment 14 WebKit Commit Bot 2011-04-10 19:36:02 PDT
Comment on attachment 86042 [details]
Rebased and resubmitted patch to get new try with buildbots

Clearing flags on attachment: 86042

Committed r83416: <http://trac.webkit.org/changeset/83416>
Comment 15 WebKit Commit Bot 2011-04-10 19:36:07 PDT
All reviewed patches have been landed.  Closing bug.